curl --request GET \
--url https://app.synthpop.ai/public/v1/task/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.synthpop.ai/public/v1/task/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.synthpop.ai/public/v1/task/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_type": "<string>",
"status": "pending",
"name": "<string>",
"cleared": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"latest_status_change": "2023-11-07T05:31:56Z",
"category": "<string>",
"data_items": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": "inputs",
"tag": "<string>",
"created": "2023-11-07T05:31:56Z",
"data_type": "file",
"name": "<string>",
"data_format": "<string>",
"medical_records": [
{
"id": 123,
"record_type": "<string>",
"sections": [
{
"start": 123,
"length": 123,
"content": "<string>",
"fields": {}
}
],
"timestamp": "2023-11-07T05:31:56Z",
"fields": {}
}
],
"alias": "<string>"
}
],
"issues": [
{
"message": "<string>",
"key": "task.llm.other"
}
],
"external_id": "<string>",
"verdicts": [
{
"code": "<string>",
"approved": true,
"issues": [
123
]
}
],
"interceptions": {},
"verdict_summaries": [
{
"code": "<string>",
"conclusion": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Retrieve a Task.
Retrieve a task either using Synthpop’s API or an external ID.
Either uuid or external_id must be specified. Specifying none or both will raise a
HTTP 400 type error.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The UUID of the task to retrieve.
The external task ID of the task to retrieve.
1024Response
Successful Response
A unique ID for the Task.
A Task's type. Determines what kind of processing is performed on the input data.
Current state of a task.
pending: The task is waiting to be processed.processing: The task is currently being processed.waiting: The task is waiting for additional input.completed: The task has completed processing.failed: An error occurred while the task was being processed.invalid: The data uploaded does not provide any information pertaining to the task to be performed.deferred: The bulk processing task has been put into a deferred state due to high load
pending, processing, waiting, completed, failed, invalid, deferred A user friendly name, based on information extracted from inputs.
cleared can be set to a timestamp indicating when follow-ups (work external to Synthpop) related to this Task have been completed. Initialized to null upon Task creation.
Timestamp indicating when this task was created.
Timestamp indicating when the latest status change for this task occurred. This indicates when a Task entered processing, waiting, completed or failed state. For pending tasks this is set to the same value as created.
Suggested task category, as determined by the medical records found.
- DataItemFile
- DataItemJSON
- DataItemText
Show child attributes
Show child attributes
Issues detected with this task or any medical records of it.
A generic task issue reported by the LLM.
- TaskIssueGenericLLM
- TaskIssueGenericLogic
- TaskIssueGenericWarning
- TaskIssueDataMissing
- TaskIssueMissingRecord
- TaskIssueIncorrectDocumentSequence
- TaskIssueInconsistentData
- TaskIssueExpired
- MedicalRecordIssueDataMissing
Show child attributes
Show child attributes
An optional third party assigned ID for the task.
1024List of verdicts for the task.
Show child attributes
Show child attributes
Optional interception data including structured_data with pages-details.
Show child attributes
Show child attributes
Per-code referral-validation conclusion summaries.
Show child attributes
Show child attributes

